Bug 235003 - kernel-2.6.20-1.3038.fc7 loads both "bcm43xx" and "bcm43xx_mac80211" drivers
kernel-2.6.20-1.3038.fc7 loads both "bcm43xx" and "bcm43xx_mac80211" drivers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-03 03:19 EDT by Robert Allerstorfer
Modified: 2009-06-27 11:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-01 16:41:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Allerstorfer 2007-04-03 03:19:53 EDT
Description of problem:

The new development kernel for fc7 changed its wireless support driver for
bcm43xx based cards from the (SoftMAC based) "bcm43xx" to the (mac80211 based)
"bcm43xx_mac80211". However, the old SoftMAC based bcm43xx driver still gets
loaded by the kernel, in addition to the new one.

Version-Release number of selected component (if applicable):

[root@fedora-ibook ~]# uname -a
Linux fedora-ibook 2.6.20-1.3038.fc7 #1 Sat Mar 31 19:26:27 EDT 2007 ppc ppc ppc
GNU/Linux

How reproducible:

easy

Steps to Reproduce:

1. Run "lsmod | egrep 'bcm43xx|80211'"
  
Actual results:

bcm43xx               443496  0 
ieee80211softmac       37472  1 bcm43xx
ieee80211              51217  2 bcm43xx,ieee80211softmac
ieee80211_crypt         7104  1 ieee80211
rc80211_simple          6304  1 
bcm43xx_mac80211      424044  0 
ssb                    42148  1 bcm43xx_mac80211
mac80211              198404  2 rc80211_simple,bcm43xx_mac80211
cfg80211               14800  1 mac80211

Expected results:

bcm43xx_mac80211      424044  0 
rc80211_simple          6304  1 
ssb                    42148  1 bcm43xx_mac80211
cfg80211               14800  1 mac80211
mac80211              198404  2 rc80211_simple,bcm43xx_mac80211

Additional info:

The BCM4306 based Apple Airport Extreme Mini-PCI card fails to establish a WPA2
connection to a IEEE 802.11g access point, although wpa_supplicant 0.5.7
successfully authenticated.

[root@fedora-ibook ~]# ifup eth1
Error for wireless request "Set Mode" (8B06) :
    SET failed on device eth1 ; Device or resource busy.
Error for wireless request "Set Bit Rate" (8B20) :
    SET failed on device eth1 ; Operation not supported.

Determining IP information for eth1... failed.
Comment 1 John W. Linville 2007-04-10 17:05:38 EDT
The two drivers each use different firmware.  So depending on where you got 
your firmware, only one version of the driver should work at all.  Also, there 
is some hardware that works better (or only works) with one version of the 
driver or the other.  Including both versions for now seems like the better 
choice.

Are you observing an actual problem from both drivers being loaded?  Or is the 
WPA2 connection failure the real problem?  Please try the test kernels here:

   http://people.redhat.com/linville/kernels/fc7/

Do they work any better for WPA2?
Comment 2 John W. Linville 2007-06-01 16:41:02 EDT
Closing on the basis of the "subject" problem having been addressed.

Note You need to log in before you can comment on or make changes to this bug.